Execute Tool
curl --request POST \
--url https://gateway.deepmako.com/v1/tools/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-wallet-address: <api-key>' \
--data '
{
"tool": "get_eth_balance",
"args": {
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"chain": "base"
}
}
'import requests
url = "https://gateway.deepmako.com/v1/tools/execute"
payload = {
"tool": "get_eth_balance",
"args": {
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"chain": "base"
}
}
headers = {
"x-wallet-address": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-wallet-address': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tool: 'get_eth_balance',
args: {address: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045', chain: 'base'}
})
};
fetch('https://gateway.deepmako.com/v1/tools/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"tool": "get_eth_balance",
"result": {
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"balance_wei": "5688914350696581971",
"balance_eth": "5.688914350696581971",
"chain": "Base"
}
}Endpoints
Execute Tool
Run a specific tool directly with the given arguments.
POST
/
v1
/
tools
/
execute
Execute Tool
Authorizations
Your EVM wallet address for authentication and credit tracking.
API key obtained from the gateway. Not required in free mode.
Headers
Your EVM wallet address.
Example:
"0x0000000000000000000000000000000000000001"
Body
application/json
The tool name to execute.
Available options:
get_eth_balance, get_token_balance, get_token_info, get_gas_price, get_block, get_tx_count, is_contract, resolve_ens, get_transaction, get_crypto_price, web_search, web_extract, read_tweet, find_music, knowledge_search, list_tools, get_weather, get_time Example:
"get_eth_balance"
Arguments to pass to the tool.
Example:
{
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"chain": "base"
}
⌘I